/**
 * Some functions for the interactivity of WP Site Links.
 * Utilises jQuery.
 * Mark Skilbeck. 2009. Mahcuz.com
 */

/**
 * This listends for the click of an anchor tag,
 * nested in a li nested in .wp_links_ul
 * - <ul class='wp_links_ul'> <li> <a> has on click </a> </li> </ul>
 */
jQuery( '.wp_links_ul li a' ).click( function( )
{
	if ( typeof ( tinyMCE != 'undefined' ) &&  tinyMCE.activeEditor )
	{
		var win   = window.dialogArguments || opener || parent || top;
		/**
		 * We want to wrap any selected text with the link..
		 * .. providing some text IS highlighted. Otherwise,
		 * we just send the full link to the editor.
		 */
		if ( getSelectedText( edCanvas ) == '' )
		{
			// use the links title.
			var title = jQuery(this).attr('title');
		}
		else
		{
			// use the selected text.
			var title = getSelectedText( );
		}
		// Takes href for use in link.
		var href  = jQuery(this).attr('class');
		// Sends to the editor our link.
		win.send_to_editor("<a href='" + href + "'>" + title + "</a>");
		// Return false to stop the anchor tag being followed.
		return false;
	}
	else
	{
		alert("This ability only works in the 'Visual' editor, at the moment.");
	}
} );

function getSelectedText( myField )
{
	selectedText = '';
	
	if ( typeof ( tinyMCE != 'undefined' ) &&  tinyMCE.activeEditor )
	{
	
		selectedText += tinyMCE.activeEditor.selection.getContent();
	
	}
	
	return selectedText;
}